diff --git Makefile Makefile
index 2e0162c..8a6fe22 100644
---Makefile
+++ Makefile
@@ -1,7 +1,6 @@
 # $NetBSD: Makefile,v 1.48 2008/02/19 18:45:28 jlam Exp $
 
-DISTNAME=	maildrop-2.0.4
-PKGREVISION=	3
+DISTNAME=	maildrop-2.4.3
 CATEGORIES=	security
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE:=courier/}
 EXTRACT_SUFX=	.tar.bz2
@@ -12,7 +11,7 @@ HOMEPAGE=	http://www.courier-mta.org/maildrop/
 
 PKG_DESTDIR_SUPPORT=	user-destdir
 
-DEPENDS+=	courier-maildir>=0.58.0:../../mail/courier-maildir
+DEPENDS+=	courier-maildir>=${COURIER_VERSION}:../../mail/courier-maildir
 
 USE_TOOLS+=		gmake perl
 USE_TOOLS+=		cat:run		# used by makedat(1)
diff --git PLIST PLIST
index ede69b9..e8ecc69 100644
---PLIST
+++ PLIST
@@ -7,6 +7,7 @@ bin/makemime
 bin/reformail
 bin/reformime
 libexec/courier/makedatprog
+libexec/courier/makedat
 man/man1/lockmail.1
 man/man1/mailbot.1
 man/man1/maildrop.1
@@ -17,7 +18,6 @@ man/man1/reformime.1
 man/man7/maildropex.7
 man/man7/maildropfilter.7
 man/man7/maildropgdbm.7
-share/courier/makedat
 share/doc/courier/README.postfix
 share/doc/courier/lockmail.html
 share/doc/courier/mailbot.html
diff --git distinfo distinfo
index 091bcb8..a841ea4 100644
---distinfo
+++ distinfo
@@ -1,9 +1,8 @@
 $NetBSD: distinfo,v 1.13 2007/08/27 22:33:19 jlam Exp $
 
-SHA1 (maildrop-2.0.4.tar.bz2) = df2755c1d0e00d19506b0659e59bf5d4756cce17
-RMD160 (maildrop-2.0.4.tar.bz2) = 9c0a349879cc0791ad01e5bae04b680de3a7a606
-Size (maildrop-2.0.4.tar.bz2) = 2286125 bytes
-SHA1 (patch-aa) = 294f05cf64f8ada8b18f6e555a93149850d93933
-SHA1 (patch-ab) = c863a21be30ee0808c6bc4cafd9a8775015a727e
-SHA1 (patch-ac) = b2f4f054b4fda15e110d7813d1e092660f018493
-SHA1 (patch-ad) = e3ce0e564df467d7af0266df0467b382cbc8c831
+SHA1 (maildrop-2.4.3.tar.bz2) = 17bd59a02c1d1eeab2ab4969286a8fe5ab4d3914
+RMD160 (maildrop-2.4.3.tar.bz2) = caae902775c6fb3470d3d9eba70b220d50ad17e8
+Size (maildrop-2.4.3.tar.bz2) = 2413480 bytes
+SHA1 (patch-aa) = de069f144a51da393aad84cae50b285ca1588612
+SHA1 (patch-ab) = 57ed04757660c05eda91570aeeed5214150987ab
+SHA1 (patch-ac) = ed2b4469e2558b05e3ec01a8fd47631d607cf04d
diff --git patches/patch-aa patches/patch-aa
index 2fc9f4b..152a1d7 100644
---patches/patch-aa
+++ patches/patch-aa
@@ -1,39 +1,61 @@
 $NetBSD: patch-aa,v 1.7 2007/08/10 17:57:09 jlam Exp $
 
---- Makefile.in.orig	2007-04-22 11:24:04.000000000 -0400
-+++ Makefile.in
-@@ -249,15 +249,12 @@ DELIVERQUOTAHTMLSOURCE = maildirquota.ht
- @INSTALL_DELIVERQUOTA_TRUE@DELIVERQUOTAHTML = $(DELIVERQUOTAHTMLSOURCE)
- @INSTALL_DELIVERQUOTA_FALSE@DELIVERQUOTAMAN = 
- @INSTALL_DELIVERQUOTA_TRUE@DELIVERQUOTAMAN = maildirquota.7 deliverquota.8
+--- Makefile.in.orig	2010-02-24 22:51:39.000000000 +0000
++++ Makefile.in	2010-03-15 14:04:35.000000000 +0000
+@@ -293,16 +293,14 @@
+ 	maildroptips.txt COPYING.GPL manpage.css pgpkeys.txt
+ 
+ scriptdir = $(pkgdatadir)/scripts
+-DELIVERQUOTAHTMLSOURCE = maildirquota.html deliverquota.html
+-DELIVERQUOTAHTML = $(DELIVERQUOTAHTMLSOURCE)
+-DELIVERQUOTAMAN = maildirquota.7 deliverquota.8
 -MAILDROPHTML = lockmail.html maildirmake.html maildropex.html \
 -	maildir.html \
++DELIVERQUOTAHTMLSOURCE = 
++DELIVERQUOTAHTML = 
++DELIVERQUOTAMAN = 
 +MAILDROPHTML = lockmail.html maildropex.html \
  	maildropfilter.html maildropgdbm.html maildrop.html mailbot.html \
  	makemime.html reformail.html reformime.html
  
 -MAILDROPMAN = lockmail.1 maildirmake.1 maildrop.1 mailbot.1 maildropex.7 \
 -	maildir.5 \
--	maildropfilter.7 maildropgdbm.7 makemime.1 reformail.1 reformime.1 \
--	maildirquota.7 deliverquota.8
 +MAILDROPMAN = lockmail.1 maildrop.1 mailbot.1 maildropex.7 \
-+	maildropfilter.7 maildropgdbm.7 makemime.1 reformail.1 reformime.1
+ 	maildropfilter.7 maildropgdbm.7 makemime.1 reformail.1 reformime.1
  
  EXTRA_LTLIBRARIES = librfc822.la librfc2045.la
- @DEVEL_TRUE@DEVEL_MAN = rfc822.3 rfc2045.3
-@@ -1084,11 +1081,12 @@ install-maildrop:
+@@ -1139,12 +1137,12 @@
+ #  Create a soft link from bindir/deliverquota to libdir/bin/deliverquota
+ 
+ install-deliverquota:
+-	$(mkinstalldirs) $(DESTDIR)$(bindir)
+-	$(INSTALL_PROGRAM) maildir/deliverquota $(DESTDIR)$(bindir)/deliverquota
+-	cd $(DESTDIR)$(bindir); rm -f maildrop.deliverquota
++#	$(mkinstalldirs) $(DESTDIR)$(bindir)
++#	$(INSTALL_PROGRAM) maildir/deliverquota $(DESTDIR)$(bindir)/deliverquota
++#	cd $(DESTDIR)$(bindir); rm -f maildrop.deliverquota
+ 
+ uninstall-deliverquota:
+-	rm -f $(DESTDIR)$(bindir)/deliverquota
++#	rm -f $(DESTDIR)$(bindir)/deliverquota
+ 
+ install-data-local: install-man install-deliverquota install-maildrop
+ 
+@@ -1172,13 +1170,14 @@
  		$(INSTALL_PROGRAM) maildrop/$$f $(DESTDIR)$(bindir)/$$f ; \
  	done
  	$(INSTALL_PROGRAM) liblock/lockmail $(DESTDIR)$(bindir)/lockmail
 -	$(INSTALL_PROGRAM) maildir/maildirmake $(DESTDIR)$(bindir)/maildirmake
  	$(INSTALL_PROGRAM) rfc2045/reformime $(DESTDIR)$(bindir)/reformime
  	$(INSTALL_PROGRAM) rfc2045/makemime $(DESTDIR)$(bindir)/makemime
--	$(INSTALL_PROGRAM) makedat/makedatprog $(DESTDIR)$(bindir)/makedatprog
--	$(INSTALL_SCRIPT)  makedat/makedat     $(DESTDIR)$(bindir)/makedat
-+	$(INSTALL_PROGRAM) makedat/makedatprog $(DESTDIR)$(libexecdir)/makedatprog
-+	$(INSTALL_SCRIPT)  makedat/makedat     $(DESTDIR)$(datadir)/makedat
-+	rm -f $(DESTDIR)$(bindir)/makedat
-+	$(LN_S) $(datadir)/makedat $(DESTDIR)$(bindir)/makedat
+ 	test "@USE_DB@@USE_GDBM@" = "00" && exit 0; \
+-		$(INSTALL_PROGRAM) makedat/makedatprog $(DESTDIR)$(bindir)/makedatprog
++		$(INSTALL_PROGRAM) makedat/makedatprog $(DESTDIR)$(libexecdir)/makedatprog
+ 	test "@USE_DB@@USE_GDBM@" = "00" && exit 0; \
+-		$(INSTALL_SCRIPT)  makedat/makedat     $(DESTDIR)$(bindir)/makedat
++		$(INSTALL_SCRIPT)  makedat/makedat     $(DESTDIR)$(libexecdir)/makedat; \
++		rm -f $(DESTDIR)$(bindir)/makedat; \
++		$(LN_S) $(libexecdir)/makedat $(DESTDIR)$(bindir)/makedat
  	. maildrop/uidgid ; test -z "$$gid" && exit 0; test -w /etc || exit 0; cd $(DESTDIR)$(bindir) && chgrp $$gid maildrop lockmail
  	. maildrop/uidgid ; test -z "$$uid" && exit 0; test -w /etc || exit 0; cd $(DESTDIR)$(bindir) && chown $$uid maildrop lockmail && chmod 755 maildrop lockmail
  
diff --git patches/patch-ab patches/patch-ab
index 8ac611c..3de5a62 100644
---patches/patch-ab
+++ patches/patch-ab
@@ -1,8 +1,8 @@
 $NetBSD: patch-ab,v 1.4 2007/08/10 17:57:09 jlam Exp $
 
---- maildrop/configure.orig	2007-04-22 11:24:25.000000000 -0400
-+++ maildrop/configure
-@@ -21562,7 +21562,7 @@ fi
+--- maildrop/configure.orig	2010-02-24 22:51:59.000000000 +0000
++++ maildrop/configure	2010-03-15 13:50:43.000000000 +0000
+@@ -19066,7 +19066,7 @@
  test "x$prefix" = xNONE && prefix=$ac_default_prefix
  test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
  
@@ -11,7 +11,7 @@ $NetBSD: patch-ab,v 1.4 2007/08/10 17:57:09 jlam Exp $
  then
  #
  # This version of maildrop is integrated into Courier mail server
-@@ -21699,7 +21699,7 @@ SPOOLDIR="$DIR"
+@@ -19203,7 +19203,7 @@
  
  get_spooldir() {
  
@@ -20,7 +20,7 @@ $NetBSD: patch-ab,v 1.4 2007/08/10 17:57:09 jlam Exp $
  then
  	MBOX_RESET_GID=1
  	SPOOLDIR="./Maildir"
-@@ -21767,7 +21767,7 @@ if test "${with_default_maildrop+set}" =
+@@ -19270,7 +19270,7 @@
  else
    # Courier defaults to ./Maildir
  
diff --git patches/patch-ac patches/patch-ac
index caddf9a..90de177 100644
---patches/patch-ac
+++ patches/patch-ac
@@ -1,8 +1,8 @@
 $NetBSD: patch-ac,v 1.3 2007/08/27 22:33:19 jlam Exp $
 
---- maildrop/main.C.orig	2006-10-01 20:03:37.000000000 -0400
-+++ maildrop/main.C
-@@ -576,7 +576,7 @@ uid_t	my_u=getuid();
+--- maildrop/main.C.orig	2010-01-15 03:51:46.000000000 +0000
++++ maildrop/main.C	2010-03-15 13:50:43.000000000 +0000
+@@ -575,7 +575,7 @@
  	if (!found)
  	{
  #if HAVE_COURIER
@@ -11,7 +11,7 @@ $NetBSD: patch-ac,v 1.3 2007/08/27 22:33:19 jlam Exp $
  #endif
  		{
  			my_pw=getpwuid(my_u);
-@@ -628,6 +628,14 @@ Buffer	value;
+@@ -635,6 +635,14 @@
  	{
  	const char *p;
  
@@ -26,7 +26,7 @@ $NetBSD: patch-ac,v 1.3 2007/08/27 22:33:19 jlam Exp $
  		if ((p=getenv("HOME")) && *p)
  			maildrop.init_home=p;
  
-@@ -652,6 +660,8 @@ Buffer	value;
+@@ -659,6 +667,8 @@
  
  		if ((p=getenv("MAILDIRQUOTA")) && *p)
  			maildrop.init_quota=p;
diff --git patches/patch-ad patches/patch-ad
deleted file mode 100644
index 4684d6e..0000000
---patches/patch-ad
+++ /dev/null
@@ -1,14 +0,0 @@
-$NetBSD: patch-ad,v 1.1 2007/08/10 17:57:09 jlam Exp $
-
---- configure.orig	2007-04-22 11:24:05.000000000 -0400
-+++ configure
-@@ -20529,7 +20529,8 @@ esac
- 
- 
- 
--if test "$maildirquota" = "1"; then
-+# deliverquota is installed by pkgsrc/mail/courier-maildir.
-+if false && test "$maildirquota" = "1"; then
-   INSTALL_DELIVERQUOTA_TRUE=
-   INSTALL_DELIVERQUOTA_FALSE='#'
- else
